load cylimnames
load calibcurves

ny = 3;
nx = 1;
for j = 1:length(imnames)
    im = readcylim([imnames{j} '_rc']);
    subplot(ny, nx, 1)
    imview(im);
    title('Original image');
    
    [alphas, betas, inds] = readcylimgeom([imnames{j} '_rc']);
    
    cim = zeros(size(im));
    cim(:,:,1) = gr(double(im(:,:,1))+1);
    cim(:,:,2) = gg(double(im(:,:,2))+1);
    cim(:,:,3) = gb(double(im(:,:,3))+1);
    
    subplot(ny, nx, 2)
    gamma = 2.2;
    imagesc(min(cim.^(1/gamma),1));
    axis image
    title('Calibrated image');

    [alphas, betas, inds] = readcylimgeom([imnames{j} '_rc']);    
    subplot(ny, nx, 3)
    tmp = zeros(size(cim,1), size(cim,2));
    tmp(inds) = alphas;
    imagesc(tmp)
    axis image
    title('Zenith angle');
    
    pause
end

